Bug 1067558 (CVE-2014-2039)

Summary: CVE-2014-2039 Kernel: s390: crash due to linkage stack instructions
Product: [Other] Security Response Reporter: Prasad J Pandit <prasad>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: agordeev, aquini, arcfi, bhu, davej, dhoward, esammons, fhrbata, gansalmon, hannsj_uhl, iboverma, itamar, jforbes, jkacur, jkurik, jonathan, jross, jwboyer, kenneth.j.hall, kernel-maint, kernel-mgr, lgoncalv, lwang, madhu.chinakonda, matt, mcressma, nobody, npajkovs, pholasek, plougher, rt-maint, rvrbovsk, vkrizan, williams
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20140203,reported=20140130,source=git,cvss2=4.9/AV:L/AC:L/Au:N/C:N/I:N/A:C,rhel-5/kernel=notaffected,rhel-6/kernel=affected,rhel-7/kernel=affected,mrg-2/realtime-kernel=notaffected,fedora-all/kernel=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-06-23 02:51:02 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1059732, 1065399, 1067678, 1067679, 1068758    
Bug Blocks: 1064414    

Description Prasad J Pandit 2014-02-20 11:13:00 EST
Linux kernel built for the s390 architecture(CONFIG_S390) is vulnerable to a
crash due to low-address protection exception. It occurs when an application
uses a linkage stack instruction.

An unprivileged user/application could use this flaw to crash the system
resulting in DoS.

Upstream fix:
-------------
  -> https://git.kernel.org/linus/8d7f6690cedb83456edd41c9bd583783f0703bf0
Comment 1 Prasad J Pandit 2014-02-20 11:16:35 EST
Statement:

This issue does not affect the versions of the kernel package as shipped with Red Hat Enterprise Linux 5 and Red Hat Enterprise MRG 2.
Comment 3 Prasad J Pandit 2014-02-21 15:10:18 EST
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1068758]
Comment 4 Fedora Update System 2014-02-28 13:35:47 EST
kernel-3.13.5-200.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2014-03-01 09:04:56 EST
kernel-3.13.5-101.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 errata-xmlrpc 2014-06-19 13:53:09 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:0771 https://rhn.redhat.com/errata/RHSA-2014-0771.html